# Class JSR223PostProcessor

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.ScriptingTestElement
org.apache.jmeter.util.JSR223TestElement
org.apache.jmeter.extractor.JSR223PostProcessor

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, PostProcessor, TestBean, TestElement, TestStateListener`

public class JSR223PostProcessor extends JSR223TestElement implements Cloneable, PostProcessor, TestBean

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class ScriptingTestElement

`scriptLanguage`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`JSR223PostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process()`
Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

### Methods inherited from class JSR223TestElement

`getCacheKey, getInstance, getScriptEngine, getScriptLanguage, populateBindings, processFileOrScript, setCacheKey, setScriptLanguage, testEnded, testEnded, testStarted, testStarted`

### Methods inherited from class ScriptingTestElement

`getFilename, getParameters, getScript, setFilename, setParameters, setScript`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSR223PostProcessor

public JSR223PostProcessor()

## Method Details

### process

public void process()
Description copied from interface: `PostProcessor`
Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

Specified by:
  `process` in interface `PostProcessor`